Package com.datecs.fiscalprinter.SDK

# Class FiscalDeviceInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.FiscalDeviceInfo

    public class FiscalDeviceInfo
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalDeviceInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `capBarcode()` | Get barcode capability
  `boolean` | `capCutter()` | Get paper cutter capability
  `boolean` | `capDisplay()` | Get display capability
  `boolean` | `capDrawer()` | Get drawer capability
  `boolean` | `capGetJournalDocumentRange()` | Get fetching journal documents range capability
  `boolean` | `capGetJournalDocuments()` | Get fetching journal documents by datetime range capability
  `boolean` | `capJournal()` | Get EJ capability
  `boolean` | `capPrintDetailedReportByDate()` | Get print detailed report by date capability
  `boolean` | `capPrintDetailedReportByNumber()` | Get print detailed report by number capability
  `boolean` | `capPrintJournalDocument()` | Get print journal document capability
  `boolean` | `capPrintOperatorsReport()` | Get print operators report capability
  `boolean` | `capPrintReportByDate()` | Get print report by date capability
  `boolean` | `capPrintReportByNumber()` | Get print report by number capability
  `boolean` | `capPrintXReport()` | Get print X report capability
  `boolean` | `capPrintZReport()` | Get print Z report capability
  `boolean` | `capRotatedReceipt()` | Get rotated receipt capability
  `int` | `getCustomPayments()` | Get number of supported custom payments
  `Country` | `getDeviceCountry()` | Get device country
  `java.lang.String` | `getDeviceModel()` | Get device model
  `java.lang.String` | `getDeviceName()` | Get device name
  `int` | `getDeviceTransportProtocolVersion()` | Get device transport protocol version
  `int` | `getDisplayTextLength()` | Get supported display text length
  `int` | `getMaxSalesInReceipt()` | Get max sales can be made in a single receipt
  `int` | `getPrintTextLength()` | Get supported print text length
  `int` | `getProgrammableItems()` | Get device programmable items number
  `int` | `getVatRates()` | Get number of supported VAT rates

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalDeviceInfo

    public FiscalDeviceInfo()

- ## Method Details

  - ### getDeviceName

    public java.lang.String getDeviceName()
    Get device name
    Returns:
      Returns the connected device name, or null if not connected

  - ### getDeviceModel

    public java.lang.String getDeviceModel()
    Get device model
    Returns:
      Returns the connected device model, or null if not connected

  - ### getDeviceCountry

    public Country getDeviceCountry()
    Get device country
    Returns:
      Returns the connected device country, or null if not connected

  - ### getDeviceTransportProtocolVersion

    public int getDeviceTransportProtocolVersion()
    Get device transport protocol version
    Returns:
      Returns the connected device protocol version, or null if not connected

  - ### getMaxSalesInReceipt

    public int getMaxSalesInReceipt()
    Get max sales can be made in a single receipt
    Returns:
      Returns the limit of sales can be made in a single receipt

  - ### getProgrammableItems

    public int getProgrammableItems()
    Get device programmable items number
    Returns:
      Returns number of programmable items that device supports

  - ### getVatRates

    public int getVatRates()
    Get number of supported VAT rates
    Returns:
      Returns number of supported VAR rates by this device

  - ### getCustomPayments

    public int getCustomPayments()
    Get number of supported custom payments
    Returns:
      Returns number of supported custom payments

  - ### getPrintTextLength

    public int getPrintTextLength()
    Get supported print text length
    Returns:
      Returns supported max text length when print

  - ### getDisplayTextLength

    public int getDisplayTextLength()
    Get supported display text length
    Returns:
      Return supported max text length when display

  - ### capPrintReportByDate

    public boolean capPrintReportByDate()
    Get print report by date capability
    Returns:
      Returns true if device supports report by date, false otherwise

  - ### capPrintReportByNumber

    public boolean capPrintReportByNumber()
    Get print report by number capability
    Returns:
      Returns true if device supports report by number, false otherwise

  - ### capPrintDetailedReportByDate

    public boolean capPrintDetailedReportByDate()
    Get print detailed report by date capability
    Returns:
      Returns true if device supports detailed report by date, false otherwise

  - ### capPrintDetailedReportByNumber

    public boolean capPrintDetailedReportByNumber()
    Get print detailed report by number capability
    Returns:
      Returns true if device supports print by date, false otherwise

  - ### capPrintXReport

    public boolean capPrintXReport()
    Get print X report capability
    Returns:
      Returns true if device supports print X report, false otherwise

  - ### capPrintZReport

    public boolean capPrintZReport()
    Get print Z report capability
    Returns:
      Returns true if device supports print Z report, false otherwise

  - ### capGetJournalDocuments

    public boolean capGetJournalDocuments()
    Get fetching journal documents by datetime range capability
    Returns:
      Returns true if device supports getting journal documents

  - ### capGetJournalDocumentRange

    public boolean capGetJournalDocumentRange()
    Get fetching journal documents range capability
    Returns:
      Returns true if device supports getting journal documents range

  - ### capBarcode

    public boolean capBarcode()
    Get barcode capability
    Returns:
      Returns true if device supports barcode, false otherwise

  - ### capCutter

    public boolean capCutter()
    Get paper cutter capability
    Returns:
      Returns true if device supports cutting paper, false otherwise

  - ### capDisplay

    public boolean capDisplay()
    Get display capability
    Returns:
      Returns true if device supports external display, false otherwise

  - ### capDrawer

    public boolean capDrawer()
    Get drawer capability
    Returns:
      Returns true if device supports drawer, false otherwise

  - ### capJournal

    public boolean capJournal()
    Get EJ capability
    Returns:
      Returns true if device supports electronic journal, false otherwise

  - ### capRotatedReceipt

    public boolean capRotatedReceipt()
    Get rotated receipt capability
    Returns:
      Returns true if device supports rotated receipt, false otherwise

  - ### capPrintJournalDocument

    public boolean capPrintJournalDocument()
    Get print journal document capability
    Returns:
      Returns true if device supports printing journal documents, false otherwise

  - ### capPrintOperatorsReport

    public boolean capPrintOperatorsReport()
    Get print operators report capability
    Returns:
      Returns true if device support print out operators report, false otherwise